Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer
Class LF5SwingUtils

    java.lang.Object
      org.apache.log4j.lf5.viewer.LF5SwingUtils

    public class LF5SwingUtils

extends java.lang.Object

Provides methods to accomplish common yet non-trivial tasks with Swing. Obvious implementations of these methods have been tried and failed.

Author:
  Richard Wan

Constructor Summary
`LF5SwingUtils()`

Method Summary
`protected static boolean` | `contains(int row, javax.swing.table.TableModel model)`
`static void` | `makeScrollBarTrack(java.awt.Adjustable scrollBar)` Makes the specified Adjustable track if the view area expands and the specified Adjustable is located near the of the view.
`static void` | `makeVerticalScrollBarTrack(javax.swing.JScrollPane pane)` Makes the vertical scroll bar of the specified JScrollPane track if the view expands (e.g.
`protected static void` | `moveAdjustable(int location, java.awt.Adjustable scrollBar)`
`protected static void` | `repaintLater(javax.swing.JComponent component)` Work around for JTable/viewport bug.
`static void` | `selectRow(int row, javax.swing.JTable table, javax.swing.JScrollPane pane)` Selects a the specified row in the specified JTable and scrolls the specified JScrollpane to the newly selected row.
`protected static void` | `selectRow(int row, javax.swing.ListSelectionModel model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LF5SwingUtils

    public LF5SwingUtils()

Method Detail

### selectRow

    public static void selectRow(int row,
                                 javax.swing.JTable table,
                                 javax.swing.JScrollPane pane)

  Selects a the specified row in the specified JTable and scrolls the specified JScrollpane to the newly selected row. More importantly, the call to repaint() delayed long enough to have the table properly paint the newly selected row which may be offscre

  Parameters:
    `table` - should belong to the specified JScrollPane

### makeScrollBarTrack

    public static void makeScrollBarTrack(java.awt.Adjustable scrollBar)

  Makes the specified Adjustable track if the view area expands and the specified Adjustable is located near the of the view.

### makeVerticalScrollBarTrack

    public static void makeVerticalScrollBarTrack(javax.swing.JScrollPane pane)

  Makes the vertical scroll bar of the specified JScrollPane track if the view expands (e.g. if rows are added to an underlying table).

### contains

    protected static boolean contains(int row,
                                      javax.swing.table.TableModel model)

### selectRow

    protected static void selectRow(int row,
                                    javax.swing.ListSelectionModel model)

### moveAdjustable

    protected static void moveAdjustable(int location,
                                         java.awt.Adjustable scrollBar)

### repaintLater

    protected static void repaintLater(javax.swing.JComponent component)

  Work around for JTable/viewport bug.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.